summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--build_all_v2.mk4
-rwxr-xr-xfixup_ptxconfigs.sh4
2 files changed, 2 insertions, 6 deletions
diff --git a/build_all_v2.mk b/build_all_v2.mk
index 4ef09bf..54a2236 100644
--- a/build_all_v2.mk
+++ b/build_all_v2.mk
@@ -91,9 +91,7 @@ $(DISTDIR)/%$(TBZ2_SUFFIX): $(STATEDIR)/%.build | mkdirs
@true
$(STATEDIR)/oselas.toolchain-$(VERSION)-%.build: | mkdirs
- @$(PTXDIST) distclean
- @$(PTXDIST) select $(2CONFIGFILE_$(*))
- @$(NICE) $(PTXDIST) go
+ @$(NICE) $(PTXDIST) go --ptxconfig $(2CONFIGFILE_$(*))
mkdirs:
@mkdir -p $(STATEDIR) $(DISTDIR)
diff --git a/fixup_ptxconfigs.sh b/fixup_ptxconfigs.sh
index 5a50b78..6149992 100755
--- a/fixup_ptxconfigs.sh
+++ b/fixup_ptxconfigs.sh
@@ -206,9 +206,7 @@ fixup() {
echo
echo
- ./p --force select ${config} || exit 1
- ./p oldconfig || exit 1
-
+ ./p --force --ptxconfig=${config} oldconfig || exit 1
}
#